Name:           magicrescue
Version:        1.1.8
Release:        1%{?dist}
Summary:        Undelete utility and for recovering a corrupted drive or partition

Group:          Applications/System
License:        GPLv2+
URL:            http://jbj.rapanden.dk/magicrescue/
Source0:        http://jbj.rapanden.dk/magicrescue/release/magicrescue-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gdbm-devel

%description
Magic Rescue scans a block device for file types it knows how to recover and
calls an external program to extract them. It looks at "magic bytes" in file
contents, so it can be used both as an undelete utility and for recovering a
corrupted drive or partition. As long as the file data is there,
it will find it.

It works on any file system, but on very fragmented file systems it can only
recover the first chunk of each file. Practical experience (this program was
not written for fun) shows, however, that chunks of 30-50MB are not uncommon.


%prep
%setup -q


%build
./configure \
  PREFIX=%{_prefix} \
  CFLAGS="$RPM_OPT_FLAGS" \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make install PREFIX="$RPM_BUILD_ROOT%{_prefix}"

# move man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}
cp -pR $RPM_BUILD_ROOT%{_prefix}/man/* $RPM_BUILD_ROOT%{_mandir}
rm -rf $RPM_BUILD_ROOT%{_prefix}/man

# Remove deprecated perls scripts
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/tools/gimp-resave.pl
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/recipes/gimp-xcf
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/tools/ole_rename.pl
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/tools/laola.pl


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_bindir}/*
%{_mandir}/man1/*.gz
%{_datadir}/magicrescue/


%changelog
* Sun Nov  8 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 1.1.8-1
- Update to 1.1.8

* Tue Jun 16 2009 kwizart < kwizart at gmail.com > - 1.1.6-1
- Update to 1.1.6

* Mon Oct 29 2007 kwizart < kwizart at gmail.com > - 1.1.4-1
- Initial package for Fedora

